de.esprit.appsuite.io

## Class UnexpectedKeywordException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.esprit.common.gui.ZException
      - - de.esprit.appsuite.io.parser.ParseException
        - - de.esprit.appsuite.io.UnexpectedKeywordException

- All Implemented Interfaces:
    java.io.Serializable

      public class UnexpectedKeywordException
      extends ParseException

  This exception indicates an unexpected keyword being found during file parsing
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnexpectedKeywordException(int lineNo, FileInfo fileInfo, java.lang.String[] expectedKeywords, java.lang.String foundKeyword)`
    `UnexpectedKeywordException(int lineNo, FileInfo fileInfo, java.lang.String expectedKeyword, java.lang.String foundKeyword)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.appsuite.io.parser.ParseException

      `getFileInfo, getLineNumber, getMessage`

    - ### Methods inherited from class de.esprit.common.gui.ZException

      `getErrorType`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnexpectedKeywordException

          public UnexpectedKeywordException(int lineNo,
                                    FileInfo fileInfo,
                                    java.lang.String expectedKeyword,
                                    java.lang.String foundKeyword)

    - #### UnexpectedKeywordException

          public UnexpectedKeywordException(int lineNo,
                                    FileInfo fileInfo,
                                    java.lang.String[] expectedKeywords,
                                    java.lang.String foundKeyword)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.